function y = ChanModelFading(in, Chan)
% Static (No mobility) Flat Fading Channel
%#codegen
% Get simulation params
numTx=1;
numRx=1;
chanSRate = Chan.chanSRate;
PathDelays = Chan.PathDelays;
PathGains = Chan.PathGains;
Doppler = Chan.DopplerShift;
% Initialize objects
persistent chanObj
if isempty(chanObj)
chanObj = comm.MIMOChannel(...
'SampleRate', chanSRate, ...
'MaximumDopplerShift', Doppler, ...
'PathDelays', PathDelays,...
'AveragePathGains', PathGains,...
'NumTransmitAntennas', numTx,...
'TransmitCorrelationMatrix', eye(numTx),...
'NumReceiveAntennas', numRx,...
'ReceiveCorrelationMatrix', eye(numRx),...
'PathGainsOutputPort', false,...
'NormalizePathGains', true,...
'NormalizeChannelOutputs', true);
end
y = step(chanObj, in);
end